Bug 447720

Summary: preupgrade fails: bootpath_to_anacondapath(stage2_abs) returns None
Product: [Fedora] Fedora Reporter: Andy Wingo <wingo>
Component: preupgradeAssignee: Will Woods <wwoods>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 10CC: wwoods
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-18 01:09:45 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Andy Wingo 2008-05-21 07:55:57 EDT
Pre-upgrade fails with a traceback on my f8 machine, both the package available
from the f8 repos and from bzr. (For that reason I set the version to rawhide.)

The traceback is this:

wingo@harpy:~/src/preupgrade$ sudo ./preupgrade-gtk.py
Password:
attempting to remove blacklisted package system-config-mouse.None
No package matched to remove
attempting to remove blacklisted package dev.None
No package matched to remove
attempting to remove blacklisted package e2fsprogs.i386
No package matched to remove
attempting to remove blacklisted package hal.i386
No package matched to remove
attempting to remove blacklisted package mysql.i386
No package matched to remove
attempting to remove blacklisted package esound.i386
No package matched to remove
attempting to remove blacklisted package mkinitrd.i386
No package matched to remove
attempting to remove blacklisted package dbus.i386
No package matched to remove
attempting to remove blacklisted package kdeaccessibility.i386
No package matched to remove
attempting to remove blacklisted package kdebase.i386
No package matched to remove
attempting to remove blacklisted package kdeedu.i386
No package matched to remove
attempting to remove blacklisted package kdegraphics.i386
No package matched to remove
attempting to remove blacklisted package kdemultimedia.i386
No package matched to remove
attempting to remove blacklisted package kdemultimedia-extras.i386
No package matched to remove
attempting to remove blacklisted package kdenetwork.i386
No package matched to remove
attempting to remove blacklisted package kdesdk.i386
No package matched to remove
attempting to remove blacklisted package kdeutils.i386
No package matched to remove
attempting to remove blacklisted package kdewebdev.i386
No package matched to remove
attempting to remove blacklisted package gdb.i386
No package matched to remove
attempting to remove blacklisted package kmymoney2.i386
No package matched to remove
attempting to remove blacklisted package gnome-applets.i386
attempting to remove blacklisted package geomview.i386
No package matched to remove
attempting to remove blacklisted package gnome-panel.i386
attempting to remove blacklisted package nas.i386
No package matched to remove
attempting to remove blacklisted package perl.i386
No package matched to remove
Downloading 0 bytes
Available disk space for /var/cache/yum/: 355700260864 bytes
Traceback (most recent call last):
  File "./preupgrade-gtk.py", line 211, in on_assistant_apply
    self._do_main()
  File "./preupgrade-gtk.py", line 230, in _do_main
    self.main_preupgrade()
  File "./preupgrade-gtk.py", line 426, in main_preupgrade
    (mdev,mpath) = preupgrade.bootpath_to_anacondapath(stage2_abs)
TypeError: 'NoneType' object is not iterable
Comment 1 Will Woods 2008-05-21 10:09:09 EDT
That's weird. Where's your /boot partition?
Comment 2 Andy Wingo 2008-05-21 10:46:32 EDT
wingo@harpy:~/src/preupgrade$ mount
/dev/mapper/VolGroup00-LogVol00 on / type ext3 (rw)
proc on /proc type proc (rw)
sysfs on /sys type sysfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/mapper/isw_dfgjeifecc_RAID1p1 on /boot type ext3 (rw)
tmpfs on /dev/shm type tmpfs (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
fusectl on /sys/fs/fuse/connections type fusectl (rw)
Comment 3 Andy Wingo 2008-05-21 10:47:10 EDT
It's a hardware raid of some variety, I think.
Comment 4 Will Woods 2008-05-21 12:57:08 EDT
Ah. dmraid (aka fakeraid), my old nemesis. 

I'm not sure if anaconda's stage1 knows how to handle dmraid. That's why
bootpath_to_anacondapath() is returning None - to the best of my knowledge
there's no usable path we can pass to anaconda stage1.

For now we'll probably have to treat this case as if /boot was unusable. You'll
still be able to complete the preupgrade, but you'll need a (wired) network
connection to download stage2 after you reboot into the installer.

Comment 5 Bug Zapper 2008-11-25 21:18:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-11-18 04:34:34 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:09:45 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.